<?php

namespace Bydedi\Tracking\Google;

/**
 * Class Adwords
 * @package Bydedi\Tracking\Google
 */
class Adwords
{
    /**
     * @var array|null $config
     */
    protected static $config = null;

    /**
     * @param array $config
     */
    public static function init($config = array())
    {
        self::$config = $config;
    }

    /**
     * Check if it's initialized.
     * If not trigger a warning error
     */
    protected static function triggerErrorIfNotInit()
    {
        if (is_null(self::$config)) {
            trigger_error("Google Adwords n'est pas initialisé", E_USER_WARNING);
        }
    }

    public static function paiement($param = array())
    {

        $out='<!-- Google Code for Commandes Conversion Page --> <script type="text/javascript">'."\n";
        $out.='/* <![CDATA[ */'."\n";
        $out.='var google_conversion_id = '.self::$config['id'].';'."\n";
        $out.='var google_conversion_language = "en";'."\n";
        $out.='var google_conversion_format = "'.self::$config['format'].'";'."\n";
        $out.='var google_conversion_color = "'.self::$config['color'].'";'."\n";
        $out.='var google_conversion_label = "'.self::$config['label'].'";'."\n";
        $out.='var google_conversion_value = '.$param['extra']['commande_stotal_ttc'].';'."\n";
        $out.='var google_conversion_currency = "'.self::$config['currency'].'";'."\n";
        $out.='var google_remarketing_only = false;'."\n";
        $out.='/* ]]> */'."\n";
        $out.='</script>'."\n";
        $out.='<script type="text/javascript" src="//www.googleadservices.com/pagead/conversion.js">'."\n";
        $out.='</script>'."\n";
        $out.='<noscript>'."\n";
        $out.='<div style="display:inline;">'."\n";
        $out.='<img height="1" width="1" style="border-style:none;" alt="" src="//www.googleadservices.com/pagead/conversion/'.self::$config['id'].'/?value='.$param['extra']['commande_stotal_ttc'].'&amp;current_code='.self::$config['currency'].'&amp;label='.self::$config['label'].'&amp;guid=ON&amp;script=0"/>'."\n";
        $out.='</div>'."\n";
        $out.='</noscript>'."\n";



        if (isset($param['smarty'])) {
            $param['smarty']->reassign(self::$config['position'], $out);
        }
    }
}
